Ticket #41478

階段を上ったときにクラッシュ

Open Date: 2021-02-05 23:08 Last Update: 2021-02-07 00:21

Reporter:
Owner:
Type:
Status:
Closed
Component:
(None)
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
1

Details

darkwolf811氏よりdiscordでの報告。階段を上ったときにクラッシュするセーブデータを受け取り、再現を確認。

Ticket History (3/4 Histories)

2021-02-05 23:08 Updated by: deskull
  • New Ticket "階段を上ったときにクラッシュ" created
2021-02-06 00:49 Updated by: habu
  • Owner Update from deskull to habu
  • Resolution Update from None to Fixed
Comment

フロアの最大保存数を超過した時の処理が上手く行っていないのが原因です。

下記コミットで修正しました。

https://osdn.net/projects/hengband/scm/git/hengband/commits/8d77be5bbbc5781c4fafa3986cafc28b5e005491

2021-02-07 00:21 Updated by: deskull
  • Status Update from Open to Closed
Comment

マージにより同ファイルの階段上昇時のバグが起きなくなったこと確認しました。

https://osdn.net/projects/hengband/scm/git/hengband/commits/6face3831b7f7193fae48839660b18a743fb3c4b

チケット完了します。

Attachment File List

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login